def pocitaj_bmi(hmotnost, vyska):
    ''' Vráti BMI človeka so zadanou hmotnosťou m a výškou v

    :param hmotnost: hmotnosť človeka v kilogramoch
    :type hmotnost: float
    :param vyska: výška človeka v metroch
    :type vyska: float
    :return: index telesnej hmotnosti
    :rtype: float
    '''
    try:
        hmotnost = float(hmotnost)
        vyska = float(vyska)
    except ValueError:
        raise ValueError('Výška a hmotnosť musia byť číselné hodnoty!')
    if vyska <= 0 or hmotnost <= 0:
        raise ValueError('Výška a hmotnosť musia byť kladné čísla!')
    vysledok = hmotnost / vyska ** 2
    return vysledok


def kategoria_bmi(hmotnost, vyska):
    ''' Vráti BMI kategóriu človeka

    :param hmotnost: hmotnosť človeka v kilogramoch
    :type hmotnost: float
    :param vyska: výška človeka v metroch
    :type vyska: float
    :return: kategória BMI
    :rtype: str
    '''
    bmi = pocitaj_bmi(hmotnost, vyska)
    if bmi < 18.5:
        kategoria = 'podvýživa'
    elif bmi < 25:
        kategoria = 'ideálna, zdravá hmotnosť'
    elif bmi < 30:
        kategoria = 'nadváha'
    elif bmi < 40:
        kategoria = 'obezita'
    else:
        kategoria = 'ťažká obezita'
    return kategoria

# tu je kod pre pouzitie v konzole
hmotnost = input('Zadaj hmotnosť v kg: ')
vyska = input('Zadaj výšku v m: ')
try:
    kategoria = kategoria_bmi(hmotnost, vyska)
except ValueError as chyba:
    print(chyba)
else:
    print('Kategória BMI je:', kategoria)
