import turtle


def tycka(sirka, vyska):
    ''' Vykreslí tyčky plota so zadanou šírkou a výškou

    :param sirka: šírka tyčky
    :type sirka: int
    :param vyska: výška tyčky
    :type vyska: int
    '''
    pero.pendown()
    pero.begin_fill()
    for i in range(2):
        pero.forward(sirka)
        pero.left(90)
        pero.forward(vyska)
        pero.left(90)
    pero.end_fill()
    pero.penup()


def spojka(pocet, sirka):
    ''' Vykreslí spojku spájajúcej tyčky plota

    :param pocet: počet tyčiek v plote
    :type pocet: int
    :param sirka: šírka tyčky
    :type sirka: int
    '''
    pero.pendown()
    pero.backward(sirka / 2)
    pero.forward(2 * pocet * sirka)
    pero.backward(2 * pocet * sirka - sirka / 2)
    pero.penup()


def plot(pocet, sirka, vyska):
    ''' Vykreslí plot s daným počtom a rozmerom tyčiek

    :param pocet: počet tyčiek v plote
    :type pocet: int
    :param sirka: širka tyčky
    :type sirka: int
    :param vyska: výška tyčky
    :type vyska: int
    '''
    for i in range(pocet):
        tycka(sirka, vyska)
        pero.forward(2 * sirka)

    pero.backward(2 * pocet * sirka)
    pero.left(90)
    pero.forward(vyska * 0.2)
    pero.right(90)
    spojka(pocet, sirka)
    pero.left(90)
    pero.forward(vyska * 0.6)
    pero.right(90)
    spojka(pocet, sirka)
    pero.left(90)
    pero.backward(vyska * 0.8)
    pero.right(90)
    pero.pendown()


tabula = turtle.Screen()
pero = turtle.Turtle()

plot(8, 10, 50)  # vykreslenie plotu s 8 tyčkami so šírkou 10 a výškou 50

tabula.mainloop()
