import turtle


def sestuholnik(strana):
    ''' Vykreslí šesťuholník so zadanou dĺžkou strany

    :param strana: dĺžka strany
    :type strana: int
    '''
    pero.pendown()
    for i in range(6):
        pero.forward(strana)
        pero.left(360 / 6)
    pero.penup()


def trojuholnik(strana):
    ''' Vykreslí trojuholník so zadanou dĺžkou strany

    :param strana: dĺžka strany
    :type strana: int
    '''
    pero.pendown()
    for i in range(3):
        pero.forward(strana)
        pero.left(360 / 3)
    pero.penup()


def stvoruholnik(strana):
    ''' Vykreslí štvoruholník so zadanou dĺžkou strany

    :param strana: dĺžka strany
    :type strana: int
    '''
    pero.pendown()
    for i in range(4):
        pero.forward(strana)
        pero.left(360 / 4)
    pero.penup()


def uholnik(n, strana):
    ''' Vykreslí n-uholník so zadanou dĺžkou strany a počtom strán

    :param n: počet strán
    :type n: int
    :param strana: dĺžka strany
    :type strana: int
    '''
    pero.pendown()
    for i in range(n):
        pero.forward(strana)
        pero.left(360 / n)
    pero.penup()


tabula = turtle.Screen()
pero = turtle.Turtle()

sestuholnik(50)  # vykreslenie 6-uholnika
trojuholnik(50)  # vykreslenie 3-uholnika
stvoruholnik(50)  # vykreslenie 4-uholnika
uholnik(7, 50)  # vykreslenie n-uholnika

tabula.mainloop()
