import math


def pocet_dlazdic_plocha(dlzka_strana1, dlzka_strana2, rozmer_dlazdice):
    ''' Vráti počet dlaždíc potrebných na vydláždenie plochy aj s rezervou 5 %

    :param dlzka_strana1: dĺžka 1. strany dláždenej plochy
    :type dlzka_strana1: float
    :param dlzka_strana2: dĺžka 2. strany dláždenej plochy
    :type dlzka_strana2: float
    :param rozmer_dlazdice: rozmer štvorcovej dlaždice
    :type rozmer_dlazdice: float
    :return: počet dlaždíc na objednanie
    :rtype: float
    '''
    pocet_na_strana1 = math.ceil(dlzka_strana1 / rozmer_dlazdice)
    pocet_na_strana2 = math.ceil(dlzka_strana2 / rozmer_dlazdice)
    pocet = math.ceil((pocet_na_strana1 * pocet_na_strana2) * 1.05)
    return pocet


def pocet_dlazdic_bazen(sirka, dlzka, hlbka, rozmer_dlazdice):
    ''' Vráti počet dlaždíc potrebných na vydláždenie stien a dna bazéna aj s rezervou 5 %

    :param sirka: šírka bazéna
    :type sirka: float
    :param dlzka: dĺžka bazéna
    :type dlzka: float
    :param hlbka: hĺbka bazéna
    :type hlbka: float
    :param rozmer_dlazdice: rozmer štvorcovej dlaždice
    :type rozmer_dlazdice: float
    :return: počet dlaždíc potrebnýchch na vydláždenie bazéna
    :rtype: float
    '''
    pocet_dno = pocet_dlazdic_plocha(sirka, dlzka, rozmer_dlazdice)
    pocet_sirka = 2 * pocet_dlazdic_plocha(sirka, hlbka, rozmer_dlazdice)
    pocet_dlzka = 2 * pocet_dlazdic_plocha(dlzka, hlbka, rozmer_dlazdice)
    pocet = pocet_dno + pocet_sirka + pocet_dlzka
    return pocet


sirka = 10
dlzka = 3
dlazdica = 0.1
pocet = pocet_dlazdic_plocha(sirka, dlzka, dlazdica)
print('Na vydláždenie plochy je potrebné objednať', pocet, 'dlaždíc.')

sirka = 10
dlzka = 50
hlbka = 2
dlazdica = 0.1
pocet = pocet_dlazdic_bazen(sirka, dlzka, hlbka, dlazdica)
print('Na vydláždenie bazéna je potrebné objednať', pocet, 'dlaždíc.')
