def cena_za_prenajom(vzdialenost):  # riešenie A
    ''' Vráti cenu za prenájom autobusu pre zadanú vzdialenosť

    Zohľadňuje len prejdenú vzdialenosť.

    :param vzdialenost: prejdená vzdialenosť v km
    :type vzdialenost: int
    :return: cena za prenájom
    :rtype: float
    '''
    if vzdialenost <= 50:
        vysledok = vzdialenost * 0.5
    elif vzdialenost <= 100:
        vysledok = vzdialenost * 0.45
    else:
        vysledok = vzdialenost * 0.4
    return vysledok


def cena_za_prenajom(vzdialenost):  # riešenie B
    ''' Vráti cenu za prenájom autobusu pre zadanú vzdialenosť

    Ak je vzdialenosť záporná, vráti 'Chybne zadaná vzdialenosť'

    Zohľadňuje len prejdenú vzdialenosť.

    :param vzdialenost: prejdená vzdialenosť v km
    :type vzdialenost: int
    :return: cena za prenájom alebo 'Chybne zadaná vzdialenosť'
    :rtype: float | str
    '''
    if vzdialenost < 0:
        vysledok = 'Chybne zadaná vzdialenosť'
    elif vzdialenost <= 50:
        vysledok = vzdialenost * 0.5
    elif vzdialenost <= 100:
        vysledok = vzdialenost * 0.45
    else:
        vysledok = vzdialenost * 0.4
    return vysledok


def cena_za_prenajom(vzdialenost):  # riešenie C
    ''' Vráti cenu za prenájom autobusu pre zadanú vzdialenosť

    Ak je vzdialenosť záporná, vráti 'Chybne zadaná vzdialenosť'

    Zohľadňuje prejdenú vzdialenosť a štartovné.

    :param vzdialenost: prejdená vzdialenosť v km
    :type vzdialenost: int
    :return: cena za prenájom alebo 'Chybne zadaná vzdialenosť'
    :rtype: float | str
    '''
    if vzdialenost < 0:
        vysledok = 'Chybne zadaná vzdialenosť'
    elif vzdialenost <= 50:
        vysledok = vzdialenost * 0.5
    elif vzdialenost <= 100:
        vysledok = 2 + vzdialenost * 0.45
    else:
        vysledok = 6 + vzdialenost * 0.4
    return vysledok


def cennik():  # riešenie D
    ''' Vypíše ceny prenájmu autobusu od 1 km do 110 km'''
    for i in range(1, 111):
        print(i, 'km -', cena_za_prenajom(i), 'EUR')


cennik()
