def cena_dopravy(typ, cas):  # riešenie A
    ''' Vráti cenu časového lístka pre zadaný typ lístka a čas dopravy

    :param typ: typ časového lístka, 'obycajny' alebo 'zlavneny'
    :type typ: str
    :param cas: čas dopravy v minútach
    :type cas: int
    :return: cena dopravy
    :rtype: float
    '''
    if typ == 'obycajny':
        if cas < 30:
            vysledok = 0.4
        else:
            vysledok = 0.7
    else:
        if cas < 30:
            vysledok = 0.25
        else:
            vysledok = 0.4
    return vysledok


def cena_dopravy(typ, cas):  # riešenie B
    ''' Vráti cenu časového lístka pre zadaný typ lístka a čas dopravy

    Ak je chybne zadaný typ lístka, vráti 'Chybne zadaný typ lístka'

    :param typ: typ časového lístka, 'obycajny' alebo 'zlavneny'
    :type typ: str
    :param cas: čas dopravy v minútach
    :type cas: int
    :return: cena dopravy alebo 'Chybne zadaný typ lístka'
    :rtype: float | str
    '''
    if typ == 'obycajny':
        if cas < 30:
            vysledok = 0.4
        else:
            vysledok = 0.7
    elif typ == 'zlavneny':
        if cas < 30:
            vysledok = 0.25
        else:
            vysledok = 0.4
    else:
        vysledok = 'Chybne zadaný typ lístka'
    return vysledok


def cena_dopravy(typ, cas):  # riešenie C
    ''' Vráti cenu časového lístka pre zadaný typ lístka a čas dopravy

    Ak je chybne zadaný typ lístka, vráti 'Chybne zadaný typ lístka'

    Ak je chybne zadaný čas, vráti 'Chybne zadaný čas'

    :param typ: typ časového lístka, 'obycajny' alebo 'zlavneny'
    :type typ: str
    :param cas: čas dopravy v minútach
    :type cas: int
    :return: cena dopravy alebo 'Chybne zadaný typ lístka' alebo 'Chybne zadaný čas'
    :rtype: float | str
    '''
    if typ == 'obycajny':
        if cas < 0:
            vysledok = 'Chybne zadaný čas'
        elif cas < 30:
            vysledok = 0.4
        else:
            vysledok = 0.7
    elif typ == 'zlavneny':
        if cas < 0:
            vysledok = 'Chybne zadaný čas'
        elif cas < 30:
            vysledok = 0.25
        else:
            vysledok = 0.4
    else:
        vysledok = 'Chybne zadaný typ lístka'
    return vysledok
