def cena_nakupu(jed_cena, pocet_kusov):
    ''' Vráti cenu nákupu pre zadaný počet kusov a jednotkovú cenu

    Zohľadní množstevnú zľavu pre počet nad 20 ks.

    :param jed_cena: jednotková cena
    :type jed_cena: float
    :param pocet_kusov: počet kusov
    :type pocet_kusov: int
    :return: výsledná cena nákupu
    :rtype: float
     '''
    if pocet_kusov <= 20:
        cena = jed_cena * pocet_kusov
    else:
        cena = 20 * jed_cena + (pocet_kusov - 20) * jed_cena * 0.9
    return cena


def cena_nakupu2(jed_cena, pocet_kusov):
    ''' Vráti cenu nákupu pre zadaný počet kusov a jednotkovú cenu

    Zohľadní množstevnú zľavu pre počet nad 20 ks a nad 70 ks.

    :param jed_cena: jednotková cena
    :type jed_cena: float
    :param pocet_kusov: počet kusov
    :type pocet_kusov: int
    :return: výsledná cena nákupu
    :rtype: float
     '''
    pocet_bez_zlavy = 0
    pocet_zlava_10 = 0
    pocet_zlava_20 = 0
    if pocet_kusov <= 20:
        pocet_bez_zlavy = pocet_kusov
    elif pocet_kusov <= 70:
        pocet_bez_zlavy = 20
        pocet_zlava_10 = pocet_kusov - 20
    else:
        pocet_bez_zlavy = 20
        pocet_zlava_10 = 50
        pocet_zlava_20 = pocet_kusov - 70
    cena = jed_cena * pocet_bez_zlavy + \
           jed_cena * pocet_zlava_10 * 0.9 + \
           jed_cena * pocet_zlava_20 * 0.8
    return cena


pocet = input('Zadaj počet kusov: ')
pocet = int(pocet)
jednotkova_cena = input('Zadaj cenu za 1 kus: ')
jednotkova_cena = float(jednotkova_cena)

cena_celkom = cena_nakupu(jednotkova_cena, pocet)
print(cena_celkom)
cena_celkom = cena_nakupu2(jednotkova_cena, pocet)
print(cena_celkom)
