def cezar_sifruj(retazec, posun):
    ''' Vráti zašifrovaný textový reťazec so zadaným posunom.

    Na šifrovanie sa použie Cézarova šifra.

    :param retazec: textový reťazec na zašifrovanie
    :type retazec: str
    :param posun: posun v abecede
    :type posun: int
    :return: zašifrovaný textový reťazec
    :rtype: str
    '''
    vysledok = ''
    for znak in retazec:
        poradie_v_abecede = ord(znak) - 97
        nove_poradie_v_abecede = (poradie_v_abecede + posun) % 26
        novy_znak = chr(nove_poradie_v_abecede + 97)
        vysledok = vysledok + novy_znak
    return vysledok

def cezar_desifruj(retazec, posun):
    ''' Vráti dešifrovaný textový reťazec so zadaným posunom.

    Na dešifrovanie sa použie Cézarova šifra.


    :param retazec: textový reťazec na zašifrovanie
    :type retazec: str
    :param posun: posun v abecede
    :type posun: int
    :return: zašifrovaný textový reťazec
    :rtype: str
    '''
    vysledok = cezar_sifruj(retazec, -posun)
    return vysledok



retazec = input('Zadajte reťaz: ')
posun = input('Zadaj posun v abecede pri šifrovani: ')
posun = int(posun)

print(cezar_sifruj(retazec, posun))

print(cezar_desifruj(cezar_sifruj('nejakyretazec', 5), 5))
