def test_prezyvka(prezyvka):
    ''' Vráti True, ak prezyvka spĺňa požiadavky na prezývku. Inak False

    :param prezyvka: prezývka
    :type prezyvka: str
    :return: True ak je prezývka správne vytvorená. Inak False
    :rtype: bool
    '''

    # testujeme, či na začiatku je podreťazec ZIAK
    if prezyvka[:4] != 'ZIAK':
        return False
    # testujeme, či sú ďalšie znaky číslice
    if not prezyvka[4:].isnumeric():
        return False
    # testujeme dĺžku číselnej časti
    if not 3 <= len(prezyvka[4:]) <= 8:
        return False
    return True

def test_vek(vek):
    ''' Vráti True, ak vek je z intervalu 10 .. 20. Inak False.

    :param vek: vek žiaka
    :type vek: int
    :return: True ak 10 <= vek <= 20, inak False
    :rtype: bool
    '''
    vek = int(vek)
    # testujeme, či je splnená podmienka pre vek
    return 10 <= vek <= 20

prezyvka = input('Zadajte svoju prezývku: ')
# testujeme správnosť prezývky
if test_prezyvka(prezyvka):
    # ak je prezývka v poriadku, vypýtame si vek
    vek = input('Váš vek: ')
    # testujeme správnosť veku
    if test_vek(vek):
        # aj vek je v poriadku
        print('Registrácia bola úspešná.')
    else:
        # vek nie je v zadanom rozpätí
        print('Chybne zadaný vek.')
else:
    # chyba je v prezývke
    print('Chybne zadaná prezývka.')
