import math


def obsah_kruhu(r):
    ''' Vráti obsah kruhu so zadaným polomerom

    :param r: polomer
    :type r: float
    :return: obsah kruhu so zadaným polomerom
    :rtype: float
    '''
    return math.pi * r ** 2


def spotreba_farby(r):
    ''' Vráti množstvo farby pre vyfarbenie kruhu so zadaným polomerom

    :param r: polomer
    :type r: float
    :return: množstvo farby pre kruh so zadaným polomerom
    :rtype: float
    '''
    return 0.5 * obsah_kruhu(r)


dolna_hranica = input('Dolná hranica intervalu: ')
horna_hranica = input('Horná hranica intervalu: ')

try:
    dolna_hranica = int(dolna_hranica)
    horna_hranica = int(horna_hranica)
except ValueError:
    print('Chybný vstup.')
else:
    print('Polomer      Obsah               Spotreba farby (ml)')
    for r in range(dolna_hranica, horna_hranica + 1):
        print(f'{r}            {obsah_kruhu(r)}   {spotreba_farby(r)}')
    # vypis vieme realizovať aj nasledovným spôsobom, kde využijeme formátovanie reťazcov
    # print(f'{"Polomer":<10}{"Obsah":<25}{"Spotreba farby (ml)":<25}')
    # for i in range(dolna_hranica, horna_hranica + 1):
    #     print(f'{i:<10}{obsah_kruhu(i):<25}{spotreba_farby(i):<25}')
