import math


def pocet_autobusov(pocet_ucastnikov, kapacita_autobusu):
    ''' Vráti počet autobusov so zadanou kapacitou pre zadaný počet účastníkov

    :param pocet_ucastnikov: počet účastníkov
    :type pocet_ucastnikov: int
    :param kapacita_autobusu: kapacita autobusu
    :type kapacita_autobusu: int
    :return: počet autobusov
    :rtype: int
    :raises ValueError: Ak vstupy nie sú prirodzené čísla
    '''
    try:
        # pretypovanie hodnôt na číselné (reálne čísla)
        pocet_ucastnikov = int(pocet_ucastnikov)
        kapacita_autobusu = int(kapacita_autobusu)
    except ValueError:
        # ak pri pretypovaní došlo ku chybe:
        raise ValueError('Počet účastníkov alebo kapacita autobusu nie je celé číslo.')
    if pocet_ucastnikov <= 0:
        raise ValueError('Počet účastníkov je záporný alebo 0.')
    if kapacita_autobusu <= 0:
        raise ValueError('Kapacita autobusu je záporná alebo 0.')
    autobusy = math.ceil(pocet_ucastnikov / kapacita_autobusu)
    return autobusy

# načítanie vstupných hodnôt: počet účastníkov a kapacita vybraného autobusu
pocet_ucastnikov = input('Počet účastníkov výletu: ')
kapacita_autobusu = input('Kapacita autobusu: ')

try:
    # vypísanie počtu autobusov
    print(f'Počet autobusov: {pocet_autobusov(pocet_ucastnikov, kapacita_autobusu)}')
except ValueError as chyba:
        print(chyba)
