def hodnota_na_konci_mesiaca(mesiac):
    ''' Vráti hodnotu investície na konci zadaného mesiaca

    :param mesiac: poradie mesiaca sporenia
    :type mesiac: int
    :return: hodnota investície na konci zadaného mesiaca
    :rtype: int
    :raises ValueError: Ak zadaný mesiac nie je číslo alebo nie je kladné číslo
    '''
    try:
        # overujeme celočíselnosť
        mesiac = int(mesiac)
    except ValueError:
        raise ValueError('Počet mesiacov nie je celé číslo.')
    if mesiac <= 0:
        raise ValueError('Počet mesiacov sporenia musí byť kladný.')
    hodnota = 2 ** mesiac
    return hodnota


# počet mesiacov investovania
pocet_mesiacov = input('Počet mesiacov: ')
try:
    pocet_mesiacov = int(pocet_mesiacov)
except ValueError:
    print('Počet mesiacov nie je celé číslo')
else:
    for mesiac in range(1, pocet_mesiacov + 1):
        print(f'Na konci {mesiac}. mesiaca: {hodnota_na_konci_mesiaca(mesiac)} EUR')
