def pocet_klukov(tyzden):
    ''' Vráti počet kľukov, ktoré je potrebné spraviť každý deň v zadanom týždní.

    Počty kľukov zodpovedajú členom Fibonacciho postupnosti.

    :param tyzden: poradie týždňa
    :type tyzden: int
    :return: počet kľukov pre každý deň v danom týždni
    :rtype: int
    :raises ValueError: Ak počet týždňov nie číslo alebo nie je prirodzené číslo
    '''
    try:
        tyzden = int(tyzden)
    except ValueError:
        raise ValueError('Číslo týždňa musí celé číslo.')
    if tyzden <= 0:
        raise ValueError('Číslo týždňa nesmie byť záporné.')
    f1 = 1
    f2 = 1
    for i in range(1, tyzden):
        f1, f2 = f2, f1 + f2
    return f1


cislo_tyzdna = input('Zadaj poradové číslo týždňa: ')
try:
    pocet = pocet_klukov(cislo_tyzdna)
except ValueError as chyba:
    print(chyba)
else:
    print(f'Týždeň: {cislo_tyzdna}., počet kľukov na den: {pocet}')

