def spracuj_registraciu(prezyvka):
    ''' Vráti upravenú prezývku, kde prvý znak je veľký a ostatné sú malé

    :param prezyvka: prezývka
    :type prezyvka: str
    :return: upravená prezývka
    :rtype: str
    :raises ValueError: ak dĺžka prezývky je menej ako 5 alebo viac ako 15 alebo
    ak prvý znak nie je abecedný alebo
    ak prezývka obsahuje nealfanumerický znak
    '''
    if not 5 <= len(prezyvka) <= 15:
        raise ValueError('Prezývka musí mať dĺžku 5 .. 15 znakov.')
    if not prezyvka[0].isalpha():
        raise ValueError('Prvý znak prezývky musí byť abecedný.')
    if not prezyvka.isalnum():
        raise ValueError('Prezývka musí obsahovať len znaky abecedy alebo číslice')
    upravena_prezyvka = prezyvka.capitalize()
    return upravena_prezyvka


prezyvka = input('Zadaj  prezývku: ')
try:
    prezyvka = spracuj_registraciu(prezyvka)
except ValueError as chyba:
    print(chyba)
else:
    print(f'Registrácia prebehla úspešne. Upravená prezývka: {prezyvka}')
