def gravitacna_sila(m1, m2, r):
    ''' Vráti veľkost gravitačnej sily ktorou na seba pôsobia dve telesá

    :param m1: hmotnosť 1. telesa v kg
    :type m1: float
    :param m2: hmotnosť 2. telesa v kg
    :type m2: float
    :param r: vzdialenosť medzi telesami v m
    :type r: float
    :return: gravitačná sila medzi dvomi telesami v N
    :rtype: float
    :raises ValueError: Ak vstupy nie sú čísla alebo zadané hmotnosti sú záporne alebo vzdialenosť nie je kladná
    '''
    try:  # pretypovanie údajov na réalne čísla

        m1 = float(m1)
        m2 = float(m2)
        r = float(r)
    except ValueError:
        raise ValueError('Nečíselný vstup.')

    g = 6.67 * 10 ** -11

    if m1 < 0 or m2 < 0:  # otestujeme, či hmotnosti nie sú záporné
        raise ValueError('Hmotnosť niektorého z telies je záporná.')

    if r <= 0: # otestujeme, či vzdialenosť nie je nekladná
        raise ValueError('Vzdialenosť telies nie j kladná.')

    sila = g * m1 * m2 / r ** 2
    return sila


hmotnost1 = input('Zadaj hmotnosť 1. telesa (kg): ')
hmotnost2 = input('Zadaj hmotnosť 2. telesa (kg): ')
vzdialenost = input('Zadaj vzájomnú vzdialenosť telies (m): ')

try:
    print(f'Telesá sa navzájom priťahujú silou veľkosti {gravitacna_sila(hmotnost1, hmotnost2, vzdialenost)} N.')
except ValueError as chyba:
    print(chyba)
