def je_datum_ok(den, mesiac, rok):
    ''' Vráti, či zadaný den, mesiac a rok predstavujú korektný/existujúci dátum.

    :param den: poradie dňa v mesiaci
    :type den: int
    :param mesiac: poradie mesiaca v roku
    :type mesiac: int
    :param rok: rok v tvare RRRR
    :type rok: int
    :return: True, ak údaje predstavujú korektný dátum, inak False
    :rtype: bool
    '''
    import datetime
    try:
        den = int(den)
        mesiac = int(mesiac)
        rok = int(rok)
        datetime.date(rok, mesiac, den)
    except ValueError:
        return False
    return True


def je_rc_ok(rc):  # Riešenie B
    ''' Vráti, či zadané rodné číslo je korektné

    :param rc: rodné číslo v tvare ddmmrr/xxxx
    :type rc: str
    :return: True, ak rodné číslo je korektné, inak False
    :rtype: bool
    '''
    if len(rc) != 11:  # testujeme dĺžku rc, musí byť 11
        return False
    if rc[6] != '/':  # testujeme, či obsahuje znak / na správnej pozicii
        return False
    rc = rc[:6] + rc[7:]  # odstránime / z pozicie 6
    if not rc.isdigit():  # testujeme, či po odstránení ostali len číslice
        return False
    if int(rc) % 11 != 0:  # testujeme deliteľnosť 11
        return False
    rok = '20' + rc[:2]  # rok narodenia, predpokladáme že žiaci sa narodili v 20xx
    rok = int(rok)
    mesiac = rc[2:4]  # mesiac narodenia
    mesiac = int(mesiac)
    if mesiac > 50:  # ak ide o ženu, upravíme hodnotu mesiaca
        mesiac = mesiac - 50
    den = rc[4:6]  # deň narodenia
    den = int(den)
    if not je_datum_ok(den, mesiac, rok):  # otestujeme korektnosť dátumu
        return False
    return True


def stastne_cislo(rc):  # Riešenie A
    ''' Vráti šťastné číslo človeka ako súčet cifier rodného čísla

    :param rc: rodné číslo v tvare rrmmdd/xxxx
    :type rc: str
    :return: šťastné číslo
    :rtype: int
    '''
    rc = rc.replace('/', '')
    stastne_cislo = 0
    for cifra in rc:
        stastne_cislo = stastne_cislo + int(cifra)
    return stastne_cislo


def stastne_cislo(rc):  # Riešenie C
    ''' Vráti šťastné číslo človeka ako súčet cifier rodného čísla

    :param rc: rodné číslo v tvare rrmmdd/xxxx
    :type rc: str
    :return: šťastné číslo
    :rtype: int
    :raises ValueError: ak rodné číslo nie je korektné
    '''
    if not je_rc_ok(rc):
        raise ValueError('Zadané rodné číslo nie je korektné')
    rc = rc.replace('/', '')
    stastne_cislo = 0
    for cifra in rc:
        stastne_cislo = stastne_cislo + int(cifra)
    return stastne_cislo


# riešenie D
rc = input('Zadaj svoje rodné číslo: ')
try:
    print(f'Tvoje šťastné číslo je: {stastne_cislo(rc)}')
except ValueError as chyba:
    print(chyba)
