def zostatok(pohyby):
    ''' Pre zadaný zoznam pohybov na účte vráti zostatok na konci

    :param pohyby: zoznam pohybov na účte
    :type pohyby: list of float
    :return: nový zostatok
    :rtype: float
    '''
    return sum(pohyby)


def vklady_celkom(pohyby):
    ''' Pre zadaný zoznam pohybov na účte vráti celkovú sumu vkladov

    :param pohyby: zoznam pohybov na účte
    :type pohyby: list of float
    :return: celkový vklad
    :rtype: float
    '''
    suma = 0
    for index in range(1, len(pohyby)):
        if pohyby[index] > 0:
            suma = suma + pohyby[index]
    return suma


def vybery_celkom(pohyby):
    ''' Pre zadaný zoznam pohybov na účte vráti celkovú sumu výberov

    :param pohyby: zoznam pohybov na účte
    :type pohyby: list of float
    :return: celkový výber
    :rtype: float
    '''
    suma = 0
    for index in range(1, len(pohyby)):
        if pohyby[index] < 0:
            suma = suma + pohyby[index]
    return -suma


def nastalo_precerpanie(pohyby):
    ''' Pre zadaný zoznam pohybov na účte zistí či došlo k prečerpaniu účtu

    :param pohyby: zoznam pohybov na účte
    :type pohyby: list of float
    :return: informácia, či nastalo prečerpanie účtu
    :rtype: bool
    '''
    stav = 0
    for suma in pohyby:
        stav = stav + suma
        if stav < 0:
            return True
    return False


zaznamy = [200, 100, 20, -500, 1200]
print(zostatok(zaznamy))
print(vklady_celkom(zaznamy))
print(vybery_celkom(zaznamy))
print(nastalo_precerpanie(zaznamy))
