def zisti_cas(meno, pacienti):  # riešenie A
    ''' Vráti čas, kedy bude pacient ošetrený

    :param meno: meno pacienta
    :type meno: str
    :param pacienti: zoznam objednaných pacientov
    :type pacienti: list of str
    :return: čas ošetrenia pacienta h:m
    :rtype: str
    '''
    poradie = pacienti.index(meno)
    cas = 8 * 60 + poradie * 20
    if cas > 12 * 60 + 40:
        cas = cas + 30
    hodiny = cas // 60
    minuty = cas % 60
    return f'{hodiny}:{minuty}'


def zisti_cas(meno, pacienti):  # riešenie B
    ''' Vráti čas, kedy bude pacient ošetrený.

    Ak pacient nie je v zozname, vráti 'pacient neobjednaný'.

    :param meno: meno pacienta
    :type meno: str
    :param pacienti: zoznam objednaných pacientov
    :type pacienti: list of str
    :return: čas ošetrenia pacienta h:m
    :rtype: str
    '''
    try:
        poradie = pacienti.index(meno)
    except ValueError:
        return 'pacient neobjednaný'
    cas = 8 * 60 + poradie * 20
    if cas > 12 * 60 + 40:
        cas = cas + 30
    hodiny = cas // 60
    minuty = cas % 60
    return f'{hodiny}:{minuty}'


def zisti_cas(meno, pacienti):  # riešenie C
    ''' Vráti čas, kedy bude pacient ošetrený.

    Ak pacient nie je v zozname, vráti 'pacient neobjednaný'.

    Ak je v zozname viac menovcov, vráti všetky časy.

    :param meno: meno pacienta
    :type meno: str
    :param pacienti: zoznam objednaných pacientov
    :type pacienti: list of str
    :return: čas ošetrenia pacienta h:m
    :rtype: str
    '''
    pocet_menovcov = pacienti.count(meno)
    if pocet_menovcov == 0:
        return 'pacient neobjednaný'
    od_index = 0
    vysledok = ''
    for i in range(pocet_menovcov):
        pozicia = pacienti.index(meno, od_index)
        od_index = pozicia + 1
        cas = 8 * 60 + pozicia * 20
        if cas > 12 * 60 + 40:
            cas = cas + 30
        hodiny = cas // 60
        minuty = cas % 60
        vysledok = vysledok + f'{hodiny}:{minuty}\n'
    return vysledok


zoznam_pacientov = ['Malý', 'Malý', 'Jahodná', 'Hruška', 'Malý', 'Galis', 'Hušo', 'Chudík', 'Haláková', 'Jalovec', 'Mlha', 'Karban', 'Novák', 'Piton', 'Jahodná', 'Semová', 'Palónci', 'Rišiková', 'Ryba', 'Timová']
meno_pacienta = 'Jahodná'
print(zisti_cas(meno_pacienta, zoznam_pacientov))
