def paruj(chlapci, dievcata):  # Riešenie A
    ''' Vráti zoznam párov [chlapec, dievča], ktoré budú spolu tancovať.
    Predpokladajú sa rovnako dlhé zoznamy chlapcov a dievčat

    :param chlapci: zoznam chlapcov
    :type chlapci: list of str
    :param dievcata: zoznam dievčat
    :type dievcata: list of str
    :return: zoznam párov
    :rtype: list of lists of str
    '''
    pary = []
    for index in range(len(chlapci)):
        # vytvárame dvojicu [chlapec, dievča]
        par = [chlapci[index], dievcata[index]]
        pary.append(par)
    return pary


chlapci = ['Adam', 'Boris']
diecata = ['Anka', 'Beáta']
pary = paruj(chlapci, diecata)
print(pary)


def paruj(chlapci, dievcata):  # Riešenie B
    ''' Vráti zoznam párov [chlapec, dievča], ktoré budú spolu tancovať

    Nepredpokladajú sa rovnako dlhé zoznamy chlapcov a dievčat

    :param chlapci: zoznam chlapcov
    :type chlapci: list of str
    :param dievcata: zoznam dievčat
    :type dievcata: list of str
    :return: zoznam párov
    :rtype: list of lists of str
    '''
    pary = []

    # zistíme koho je menej a toľko dvojíc vytvoríme
    if len(chlapci) < len(diecata):
        pocet = len(chlapci)
    else:
        pocet = len(diecata)

    for index in range(pocet):
        # vytvárame dvojicu [chlapec, dievča]
        par = [chlapci[index], dievcata[index]]
        pary.append(par)
    return pary


chlapci = ['Adam', 'Boris', 'Cyril']
diecata = ['Anka', 'Beáta']
pary = paruj(chlapci, diecata)
print(pary)


def paruj(chlapci, dievcata):  # Riešenie C
    ''' Vráti zoznam párov, ktoré budú spolu tancovať

    Nepredpokladajú sa rovnako dlhé zoznamy chlapcov a dievčat

    Zvyšní žiaci rovnakého pohlavia sa budú párovať medzi sebou

    :param chlapci: zoznam chlapcov
    :type chlapci: list of str
    :param dievcata: zoznam dievčat
    :type dievcata: list of str
    :return: zoznam párov
    :rtype: list of lists of str
    '''
    pary = []
    # zistíme koho je menej a toľko dvojíc vytvoríme
    if len(chlapci) < len(dievcata):
        pocet = len(chlapci)
    else:
        pocet = len(dievcata)

    for index in range(pocet):
        par = [chlapci[index], dievcata[index]]
        pary.append(par)

    # do zoznamu zostavajuci umiestnime nezaradených žiakov
    if len(chlapci) < len(dievcata):
        zostavajuci = dievcata[pocet:]
    else:
        zostavajuci = chlapci[pocet:]

    # ak je počet zostávajúcich nepárny, posledného žiaka vynecháme
    if len(zostavajuci) % 2 == 1:
        zostavajuci = zostavajuci[:-1]

    # postupne párujeme nezaradených žiakov
    for index in range(0, len(zostavajuci), 2):
        par = zostavajuci[index:index + 2]
        pary.append(par)
    return pary


chlapci = ['Adam', 'Boris']
dievcata = ['Anka', 'Beáta', 'Cecília', 'Daniela', 'Emília']
pary = paruj(chlapci, dievcata)
print(pary)

import random


def paruj(chlapci, dievcata):  # Riešenie D E
    ''' Vráti zoznam párov, ktoré budú spolu tancovať

    Nepredpokladajú sa rovnako dlhé zoznamy chlapcov a dievčat

    Zvyšní žiaci rovnakého pohlavia sa budú párovať medzi sebou

    D - Žiaci sa párujú v náhodnom poradí

    E - Žiaci sa párujú v abecednom poradí

    :param chlapci: zoznam chlapcov
    :type chlapci: list of str
    :param dievcata: zoznam dievčat
    :type dievcata: list of str
    :return: zoznam párov
    :rtype: list of lists of str
    '''
    pary = []
    # náhodne preusporiadame žiakov v zoznamoch
    random.shuffle(chlapci)
    random.shuffle(dievcata)
    # alebo
    # žiakov usporiadame podľa abecedy
    # chlapci.sort()
    # dievcata.sort()

    # zistíme koho je menej a toľko dvojíc vytvoríme
    if len(chlapci) < len(dievcata):
        pocet = len(chlapci)
    else:
        pocet = len(dievcata)
    for index in range(pocet):
        par = [chlapci[index], dievcata[index]]
        pary.append(par)

    # do zoznamu zostavajuci umiestnime nezaradených žiakov
    if len(chlapci) < len(dievcata):
        zostavajuci = dievcata[pocet:]
    else:
        zostavajuci = chlapci[pocet:]

    # ak je počet zostávajúcich nepárny, posledného žiaka vynecháme
    if len(zostavajuci) % 2 == 1:
        zostavajuci = zostavajuci[:-1]

    # postupne párujeme nezaradených žiakov
    for index in range(0, len(zostavajuci), 2):
        par = zostavajuci[index:index + 2]
        pary.append(par)
    return pary


chlapci = ['Adam', 'Boris']
dievcata = ['Anka', 'Beáta', 'Cecília', 'Daniela', 'Emília']
pary = paruj(chlapci, dievcata)
print(pary)
