def denne_teploty(teploty7, teploty14, teploty21):  # Riešenie A
    ''' Vráti zoznam priemerných denných teplôt

    :param teploty7: hodnoty teplôt zaznamenané o 7:00
    :type teploty7: list of float
    :param teploty14: hodnoty teplôt zaznamenané o 14:00
    :type teploty14: list of float
    :param teploty21: hodnoty teplôt zaznamenané o 21:00
    :type teploty21: list of float
    :return: zoznam priemerných denných teplôt
    :rtype: list of float
    '''
    teploty = []
    for index in range(len(teploty7)):
        denna = (teploty7[index] + teploty14[index] + 2 * teploty21[index]) / 4
        denna = round(denna, 2)
        teploty.append(denna)
    return teploty


t7 = [-7, -9, -17, -10, -6, 5]
t14 = [-1, -1, -10, -6, 0, 1]
t21 = [-2, -7, -4, -5, 2, 0]
print(denne_teploty(t7, t14, t21))


def denne_teploty(teploty7, teploty14, teploty21):  # Riešenie B
    ''' Vráti zoznam priemerných denných teplôt

    :param teploty7: hodnoty teplôt zaznamenané o 7:00
    :type teploty7: list of float
    :param teploty14: hodnoty teplôt zaznamenané o 14:00
    :type teploty14: list of float
    :param teploty21: hodnoty teplôt zaznamenané o 21:00
    :type teploty21: list of float
    :return: zoznam priemerných denných teplôt
    :rtype: list of float
    :raises ValueError: ak zoznamy majú rôzne počty prvkov
    '''
    if not len(teploty7) == len(teploty14) == len(teploty21):
        raise ValueError('Záznamy teplôt majú rôzne počty prvkov')
    teploty = []
    for index in range(len(teploty7)):
        denna = (teploty7[index] + teploty14[index] + 2 * teploty21[index]) / 4
        denna = round(denna, 2)
        teploty.append(denna)
    return teploty


t7 = [-7, -9, -17, -10, -6, 5, 6]
t14 = [-1, -1, -10, -6, 0, 1]
t21 = [-2, -7, -4, -5, 2, 0]
try:
    print(denne_teploty(t7, t14, t21))
except ValueError as chyba:
    print(chyba)
