import random


def generuj_rychlosti1(pocet, test_rychlost, rozdiel):
    ''' Vráti zoznam vegenerovaných rýchlostí pre testovanie

    :param pocet: pocet záznamov
    :type pocet: int
    :param test_rychlost: hodnota testovacej rýchlosti
    :type test_rychlost: float
    :param rozdiel: maximálny rozdiel dvoch po sebe idúcich záznamov
    :type rozdiel: float
    :return: zoznam vegenerovaných rýchlostí
    :rtype: list of float
    '''
    rychlosti = [0]
    rychlost = 0
    for i in range(pocet - 1):
        if rychlost < test_rychlost - rozdiel:
            # interval pre testovaciu rýchlosť nie je dosiahnutý
            rychlost = random.uniform(rychlost, rychlost + rozdiel)
        else:
            # interval pre testovaciu rýchlosť je dosiahnutý
            min_rychlost = max(test_rychlost, rychlost) - rozdiel
            max_rychlost = min(test_rychlost, rychlost) + rozdiel
            rychlost = random.uniform(min_rychlost, max_rychlost)
        rychlost = round(rychlost, 2)
        rychlosti.append(rychlost)
    return rychlosti


print(generuj_rychlosti1(100, 100, 5))
