def nsd(x, y):  # Riešenie B
    ''' Vráti najväčšieho spoločného deliteľa prirodzených čísiel x a y

    :param x: prirodzené číslo
    :type x: int
    :param y: prirodzené číslo
    :type y: int
    :return: najväčší spoločný deliteľ
    :rtype: int
    '''
    while x != y:
        if x > y:
            x = x - y
        else:
            y = y - x
    return x


def je_prirodzene(cislo):
    ''' Vráti, či zadané čislo je prirodzené

    :param cislo: testované číslo
    :type cislo: int or float
    :return: True ak je číslo prirodzené, inak False
    :rtype: bool
    '''
    if cislo != int(cislo):
        return False
    if cislo <= 0:
        return False
    return True


def nsd(x, y):  # Riešenie C
    ''' Vráti najväčšieho spoločného deliteľa prirodzených čísiel x a y

    :param x: prirodzené číslo
    :type x: int
    :param y: prirodzené číslo
    :type y: int
    :return: najväčší spoločný deliteľ
    :rtype: int
    :raises ValueError: ak čísla nie sú prirodzené
    '''
    if not (je_prirodzene(x) and je_prirodzene(y)):
        raise ValueError('Zadané čísla nie sú prirodzené!')
    while x != y:
        if x > y:
            x = x - y
        else:
            y = y - x
    return x


def nsd_vylepsene(x, y):
    ''' Vráti najväčšieho spoločného deliteľa prirodzených čísiel x a y

    :param x: prirodzené číslo
    :type x: int
    :param y: prirodzené číslo
    :type y: int
    :return: najväčší spoločný deliteľ
    :rtype: int
    '''
    while x != 0 != y:
        if x > y:
            x = x % y
        else:
            y = y % x
    return x + y


print(nsd(1000000000, 6))

print(nsd_vylepsene(1000000000000, 6))
