import random


def pocet_dni_na_vrchol(cm_den, dlzka_tyce):  # Riešenie A
    ''' Vráti, koľko dní potrvá slimákovi, kým vylezie na koniec tyče

    Každý deň vylezie vzdialenosť cm_den

    Každú noc skĺzne o 10 % až 90 % z toho, čo cez deň vyliezol

    :param cm_den: vzdialenosť, koľko slimák vylezie za jeden deň
    :type cm_den: float
    :param dlzka_tyce: dĺžka tyče
    :type dlzka_tyce: cm
    :return: počet dní, za ktoré sa slimák dostane na vrchol tyče
    :rtype: int
    '''
    vyska = cm_den
    den = 1
    while vyska < dlzka_tyce:
        sklznutie = random.uniform(cm_den * 0.1, cm_den * 0.9)
        vyska = vyska - sklznutie
        vyska = vyska + cm_den
        den = den + 1
    return den


print(pocet_dni_na_vrchol(10, 100))


def pocet_dni_na_vrchol(max_cm_den, dlzka_tyce):  # Riešenie B
    ''' Vráti, koľko dní potrvá slimákovi, kým vylezie na koniec tyče

    Každý den vylezie vzdialenosť maximálne max_cm_den

    Každú noc skĺzne o 10% až 90% z toho, čo cez deň vyliezol

    :param max_cm_den: vzdialenosť, koľko slimák vylezie maximálne za jeden deň
    :type cm_den: float
    :param dlzka_tyce: dĺžka tyče
    :type dlzka_tyce: cm
    :return: počet dní za ktoré sa slimák dostane na vrchol tyče
    :rtype: int
    '''
    vylezenie = random.uniform(0, max_cm_den)
    vyska = vylezenie
    den = 1
    while vyska < dlzka_tyce:
        sklznutie = random.uniform(vylezenie * 0.1, vylezenie * 0.9)
        vyska = vyska - sklznutie
        vylezenie = random.uniform(0, max_cm_den)
        vyska = vyska + vylezenie
        den = den + 1
    return den


print(pocet_dni_na_vrchol(10, 100))


def pocet_dni_na_vrchol(max_cm_den, dlzka_tyce):  # Riešenie C
    ''' Vráti, koľko dní potrvá slimákovi, kým vylezie na koniec tyče

    Každý deň vylezie vzdialenosť maximálne max_cm_den

    Každú noc skĺzne o 10 % až 90 % z maximálnej vzdialenosti, ktorú dokáže za deň vyliezť

    :param max_cm_den: vzdialenosť, koľko slimák vylezie maximálne za jeden deň
    :type cm_den: float
    :param dlzka_tyce: dĺžka tyče
    :type dlzka_tyce: cm
    :return: počet dní za ktoré sa slimák dostane na vrchol tyče
    :rtype: int
    '''
    vyska = random.uniform(0, max_cm_den)
    den = 1
    while vyska < dlzka_tyce:
        sklznutie = random.uniform(max_cm_den * 0.1, max_cm_den * 0.9)
        vyska = vyska - sklznutie
        if vyska <= 0:
            vyska = 0
        vylezenie = random.uniform(0, max_cm_den)
        vyska = vyska + vylezenie
        den = den + 1
    return den


print(pocet_dni_na_vrchol(10, 100))
