import random


def hraj_vojnu(hrac1:list, hrac2:list):
    ''' Simuluje kartovú hru Vojna a pre zadané zoznamy kariet hráčov vráti víťaza.

    :param hrac1: zoznam kariet hráča1
    :type hrac1: list of int
    :param hrac2: zoznam kariet hráča2
    :type hrac2: list of int
    :return: poradie hráča, ktorý vyhral
    :rtype: str
    '''
    idx = 0
    while idx < len(hrac1) and idx < len(hrac2):
        if hrac1[idx] > hrac2[idx]:
            hrac1.extend(hrac1[:idx + 1])
            hrac1.extend(hrac2[:idx + 1])
            hrac1 = hrac1[idx + 1:]
            hrac2 = hrac2[idx + 1:]
            idx = 0
            # nasledujúci výpis slúži na overovanie správnosti vyhodnotenia hry
            # print(hrac1, hrac2)
        elif hrac1[idx] < hrac2[idx]:
            hrac2.extend(hrac2[:idx + 1])
            hrac2.extend(hrac1[:idx + 1])
            hrac1 = hrac1[idx + 1:]
            hrac2 = hrac2[idx + 1:]
            idx = 0
            # nasledujúci výpis slúži na overovanie správnosti vyhodnotenia hry
            # print(hrac1, hrac2)
        else:
            idx = idx + 3
    if idx < len(hrac1):
        return 'hráč 1'
    elif idx < len(hrac2):
        return 'hráč 2'
    else:
        return 'remíza'


# Na testovanie využijeme náhodne generované zoznamy kariet
karty = [i for i in range(7, 15)] * 4
random.shuffle(karty)

hrac1 = karty[:len(karty) // 2]
hrac2 = karty[len(karty) // 2:]
# hrac1 = [1, 1]
# hrac2 = [1, 1]

print(hraj_vojnu(hrac1, hrac2))
