def naklad_v_poradi(hmotnosti, nosnost):  # Riešenie A
    ''' Vráti zoznam hmotností tovarov, ktoré sa naložia do vozíka so zadanou nosnosťou.

    :param hmotnosti: zoznam hmotností tovarov v poradí, v akom sú úložené na rampe
    :type hmotnosti: list of float
    :param nosnost: nosnost vozíka
    :type nosnost: float
    :return: zoznam hmotností tovarov, ktoré sa naložia do vozíka
    :rtype: list of float
    '''
    naklad = []
    idx = 0
    # kým je nejaký tovar na naloženie a jeho naložením neprekročíme nosnosť vozíka
    while idx < len(hmotnosti) and sum(naklad) + hmotnosti[idx] <= nosnost:
        naklad.append(hmotnosti[idx])
        idx = idx + 1
    return naklad


def naklad_v_poradi_preskakovanie(hmotnosti, nosnost):  # Riešenie B
    ''' Vráti zoznam hmotností tovarov, ktoré sa naložia do vozíka so zadanou nosnosťou.

    :param hmotnosti: zoznam hmotností tovarov v poradí, v akom sú úložené na rampe
    :type hmotnosti: list of float
    :param nosnost: nosnosť vozíka
    :type nosnost: float
    :return: zoznam hmotností tovarov, ktoré sa naložia do vozíka
    :rtype: list of float
    '''
    naklad = []
    idx = 0
    # kým je nejaký tovar na naloženie a hmotnosť naloženého tovaru nedosiahla nosnosť vozíka
    while idx < len(hmotnosti) and sum(naklad) < nosnost:
        if sum(naklad) + hmotnosti[idx] <= nosnost:
            naklad.append(hmotnosti[idx])
        idx = idx + 1
    return naklad


def naklad_najtazsie_najlahsie_striedanie(hmotnosti: list, nosnost):  # Riešenie C
    ''' Vráti zoznam hmotností tovarov, ktoré sa naložia do vozíka so zadanou nosnosťou.

    :param hmotnosti: zoznam hmotností tovarov v poradí, v akom sú úložené na rampe
    :type hmotnosti: list of float
    :param nosnost: nosnost vozíka
    :type nosnost: float
    :return: zoznam hmotností tovarov, ktoré sa naložia do vozíka
    :rtype: list of float
    '''

    # pôvodný zoznam by sme nemali modifikovať, pracujeme s kópiou
    hmotnosti = hmotnosti.copy()
    hmotnosti.sort()

    naklad = []
    idx_tazky = len(hmotnosti) - 1
    idx_lahky = 0
    # kým je nejaký tovar na naloženie a hmotnosť naloženého tovaru nedosiahla nosnosť vozíka
    while idx_lahky <= idx_tazky and sum(naklad) < nosnost:
        if sum(naklad) + hmotnosti[idx_tazky] <= nosnost:
            naklad.append(hmotnosti[idx_tazky])
        idx_tazky = idx_tazky - 1
        if idx_lahky <= idx_tazky and sum(naklad) + hmotnosti[idx_lahky] <= nosnost:
            naklad.append(hmotnosti[idx_lahky])
        idx_lahky = idx_lahky + 1
    return naklad


hmotnosti = [10, 20, 150, 30, 20, 10, 10]
nosnost = 200

print(naklad_v_poradi(hmotnosti, nosnost))
print(naklad_v_poradi_preskakovanie(hmotnosti, nosnost))
print(naklad_najtazsie_najlahsie_striedanie(hmotnosti, nosnost))
