def vyhodnot(original, prepis):  # Riešenie A
    ''' Vráti počet mínusových bodov na základe porovnanie originálu a jeho prepisu.

    Porovnávané texty by mali byť rovnako dlhé.

    :param original: originálny text
    :type original: str
    :param prepis: prepis originálu
    :type prepis: str
    :return: počet mínusových bodov
    :rtype: int
    :raises ValueError: ak porovnávané texty majú rôznu dĺžku
    '''
    if len(original) != len(prepis):
        raise ValueError('Porovnávané texty majú rôzne dĺžky')
    pocet_bodov = 0
    idx = 0
    while idx < len(original):
        if original[idx] != prepis[idx]:
            if idx + 1 < len(original) and original[idx] == prepis[idx + 1] and original[idx + 1] == prepis[idx]:
                pocet_bodov = pocet_bodov + 1
                idx = idx + 2
            else:
                pocet_bodov = pocet_bodov + 2
                idx = idx + 1
        else:
            idx = idx + 1
    return pocet_bodov


print(vyhodnot('strojopis', 'ztroojpis'))  # 3


def vyhodnot(original, prepis):  # Riešenie B
    ''' Vráti počet mínusových bodov na základe porovnanie originálu a jeho prepisu.

    Porovnávané texty nemusia byť  rovnako dlhé. Rozdiel sa vyhodnotí ako chybné znaky.

    :param original: originálny text
    :type original: str
    :param prepis: prepis originálu
    :type prepis: str
    '''
    pocet_bodov = 0
    idx = 0
    porovnavana_dlzka = min(len(original), len(prepis))
    while idx < porovnavana_dlzka:
        if original[idx] != prepis[idx]:
            if idx + 1 < len(original) and original[idx] == prepis[idx + 1] and original[idx + 1] == prepis[idx]:
                pocet_bodov = pocet_bodov + 1
                idx = idx + 2
            else:
                pocet_bodov = pocet_bodov + 2
                idx = idx + 1
        else:
            idx = idx + 1
    rozdiel_dlzok = abs(len(original) - len(prepis))
    pocet_bodov = pocet_bodov + 2 * rozdiel_dlzok
    return pocet_bodov

print(vyhodnot('strojopis', 'ztroojpi'))  # 5
