﻿def prekrocil_rychlost(zaznam):  # Riešenie A
    ''' Vráti, či účastník pretekov prekročil rýchlosť.

    Funkcia analyzuje záznam z pretekov a overuje, či na jednotlivých úsekoch nebola prekročená maximálna rýchlosť

    :param zaznam: záznam z pretekov
    :type zaznam: list of str
    :return: True, ak pretekár prekročil maximálnu rýchlosť, inak False
    :rtype: bool
    '''
    obec = True  # vždy sa začína v obci mimo diaľnice
    dialnica = False
    for udaj in zaznam:
        if udaj == 'zo':  # najskôr zisťujeme údaje o značkách
            obec = True
        elif udaj == 'ko':
            obec = False
        elif udaj == 'zd':
            dialnica = True
        elif udaj == 'kd':
            dialnica = False
        elif udaj in ['zcmv', 'kcmv']:
            pass
        else:  # údaj o rýchlosti
            rychlost = float(udaj)
            if obec:
                if dialnica:
                    if rychlost > 90:
                        return True
                elif rychlost > 50:
                    return True
            else:
                if dialnica:
                    if rychlost > 130:
                        return True
                elif rychlost > 90:
                    return True
    return False


zaznam = ['20', '25', '49', 'zd', '70', '120', '135', 'ko', '125', 'kd', '48']
print(prekrocil_rychlost(zaznam))


def prekrocil_rychlost(zaznam):  # Riešenie B
    ''' Vráti, či účastník pretekov prekročil rýchlosť.

    Funkcia analyzuje záznam z pretekov a overuje, či na jednotlivých úsekoch nebola prekročená maximálna rýchlosť

    :param zaznam: záznam z pretekov
    :type zaznam: list od str
    :return: True, ak pretekár prekročil maximálnu rýchlosť, inak False
    :rtype: bool
    :raises ValueError: ak funkcia deteguje chybu v zázname
    '''
    obec = True  # vždy sa začína v obci mimo diaľnice a cesty pre motorové vozidlá
    dialnica = False
    cesta_pre_motorove_vozidla = False
    for udaj in zaznam:
        if udaj == 'zo':  # najskôr zisťujeme údaje o značkách
            if obec:
                raise ValueError('Začiatok obce je v obci')
            obec = True
        elif udaj == 'ko':
            if not obec:
                raise ValueError('Koniec obce mimo obce')
            obec = False
        elif udaj == 'zd':
            if dialnica or cesta_pre_motorove_vozidla:
                raise ValueError('Začiatok diaľnice na diaľnici alebo na ceste pre motorové vozidlá')
            dialnica = True
        elif udaj == 'kd':
            if not dialnica:
                raise ValueError('Koniec diaľnice mimo diaľnice')
            dialnica = False
        elif udaj == 'zcmv':
            if dialnica or cesta_pre_motorove_vozidla:
                raise ValueError('Začiatok cesty pre motorové vozidlá na diaľnici alebo na ceste pre motorové vozidlá')
            cesta_pre_motorove_vozidla = True
        elif udaj == 'kcmv':
            if not cesta_pre_motorove_vozidla:
                raise ValueError('Koniec cesty pre motorové vozidlá mimo cesty pre motorové vozidlá')
            cesta_pre_motorove_vozidla = False
        else:  # údaj o rýchlosti
            rychlost = float(udaj)
            if obec:
                if dialnica:
                    if rychlost > 90:
                        return True
                elif rychlost > 50:
                    return True
            else:
                if dialnica:
                    if rychlost > 130:
                        return True
                elif rychlost > 90:
                    return True
    return False
