def pocet_susedov(idx, generacia):
    ''' Vráti počet susedov (živých buniek) ktoré má bunka na pozícii idx.

    :param idx: pozícia bunky
    :type idx: int
    :param generacia: reprezentácia generácie buniek, napr.: [1, 1, 0, 0, 1]
    :type generacia: list of int
    :return: počet susedov
    :rtype: int
    '''
    dlzka = len(generacia)
    pocet = generacia[(idx - 1) % dlzka] + generacia[(idx + 1) % dlzka]
    return pocet


def dalsia_generacia(generacia: list):  # Riešenie A
    ''' Upraví zadanú generáciu buniek do ďalšej generácie

    :param generacia: reprezentácia generácie buniek, napr.: [1, 1, 0, 0, 1]
    :type generacia: list of int
    '''
    nova_generacia = [0] * len(generacia)
    for i in range(len(generacia)):
        if generacia[i] == 1:  # bunka žije
            if pocet_susedov(i, generacia) == 1:
                nova_generacia[i] = 1
        else:  # bunka nežije
            if pocet_susedov(i, generacia) == 2:
                nova_generacia[i] = 1
    generacia.clear()  # záznam pôvodnej generácie zmažeme
    generacia.extend(nova_generacia)  # aktualizujeme generáciu na novú


def zobraz_generacie(hodiny, generacia):  # Riešenie B
    ''' Zobrazí priebeh zmien generácii buniek počas zadaného počtu hodín

    :param hodiny: počet hodín
    :type hodiny: int
    :param generacia: reprezentácia počiatočnej generácie buniek, napr.: [1, 1, 0, 0, 1]
    :type generacia: list if int
    '''
    print(generacia)
    for i in range(hodiny):
        dalsia_generacia(generacia)
        print(generacia)


generacia = [1, 1, 0, 1, 1, 0]
zobraz_generacie(5, generacia)
