import tkinter
from tkinter import messagebox


def pocitaj_bmi(hmotnost, vyska):
    ''' Vráti BMI človeka so zadanou hmotnosťou m a výškou v

    :param hmotnost: hmotnosť človeka v kilogramoch
    :type hmotnost: float
    :param vyska: výška človeka v metroch
    :type vyska: float
    :return: index telesnej hmotnosti
    :rtype: float
    '''
    try:
        hmotnost = float(hmotnost)
        vyska = float(vyska)
    except ValueError:
        raise ValueError('Výška a hmotnosť musia byť číselné hodnoty!')
    if vyska <= 0 or hmotnost <= 0:
        raise ValueError('Výška a hmotnosť musia byť kladné čísla!')
    vysledok = hmotnost / vyska ** 2
    return vysledok


def kategoria_bmi(hmotnost, vyska):
    ''' Vráti BMI kategóriu človeka

    :param hmotnost: hmotnosť človeka v kilogramoch
    :type hmotnost: float
    :param vyska: výška človeka v metroch
    :type vyska: float
    :return: kategória BMI
    :rtype: str
    '''
    bmi = pocitaj_bmi(hmotnost, vyska)
    if bmi < 18.5:
        kategoria = 'podvýživa'
    elif bmi < 25:
        kategoria = 'ideálna, zdravá hmotnosť'
    elif bmi < 30:
        kategoria = 'nadváha'
    elif bmi < 40:
        kategoria = 'obezita'
    else:
        kategoria = 'ťažká obezita'
    return kategoria


# tu je kod pre pouzitie v grafickom okne
def zobraz_kategoriu_bmi():
    try:
        kategoria = kategoria_bmi(hmotnost.get(), vyska.get())
    except ValueError as chyba:
        zobraz_chybu(chyba)
    else:
        bmi_kat.set(kategoria)


def zobraz_chybu(chyba):
    messagebox.showerror('Chyba', chyba)


okno = tkinter.Tk()
okno.title('Výpočet kategórie BMI')

tkinter.Label(okno, text='Zadaj hmotnosť v kg:').grid(row=0, column=0)
hmotnost = tkinter.StringVar()
tkinter.Entry(okno, textvariable=hmotnost).grid(row=0, column=1)

tkinter.Label(okno, text='Zadaj výšku v m:').grid(row=1, column=0)
vyska = tkinter.StringVar()
tkinter.Entry(okno, textvariable=vyska).grid(row=1, column=1)

tkinter.Button(okno, text='Výpočet', command=zobraz_kategoriu_bmi).grid(row=2, column=0)

tkinter.Label(okno, text='Kategória BMI:').grid(row=3, column=0)
bmi_kat = tkinter.StringVar()
tkinter.Entry(okno, textvariable=bmi_kat).grid(row=3, column=1)

tkinter.Button(okno, text='Koniec', command=okno.destroy).grid(row=4, column=0)

okno.mainloop()
