import tkinter
from tkinter import messagebox


def over_cislo(cislo):
    ''' Overí platnosť rodného čísla

    :param cislo: rodné číslo
    :type cislo: str
    :return: výsledok
    :rtype: str
    '''
    if not cislo.isdigit():
        raise ValueError('Na vstupe boli zadané aj nenumerické znaky')
    if len(cislo) not in [9, 10]:
        raise ValueError('Rodné číslo musí mať 9 alebo 10 číslic')
    if int(cislo) % 11 != 0:
        raise ValueError('Rodné číslo musí byť deliteľné 11')
    else:
        return 'OK'


def vypocet():
    vstup = rodne_cislo.get()
    vystup = 'Chyba'
    try:
        vystup = over_cislo(vstup)
    except ValueError as chyba:
        zobraz_chybu(chyba)
    odpoved.set(vystup)


def zobraz_chybu(chyba):
    messagebox.showerror('Chyba', chyba)


okno = tkinter.Tk()
okno.title('Overenie rodného čísla')

# riadok 0: Label, Entry
tkinter.Label(okno, text='Zadaj rodné číslo bez lomky: ').grid(row=0, column=0)

rodne_cislo = tkinter.StringVar()
rodne_cislo.set('')
tkinter.Entry(okno, textvariable=rodne_cislo).grid(row=0, column=1)

# riadok 1: Button, Entry
tkinter.Button(okno, text='Over rodné číslo', command=vypocet).grid(row=1, column=0)

odpoved = tkinter.StringVar()
odpoved.set('?')
tkinter.Entry(okno, textvariable=odpoved).grid(row=1, column=1)

okno.mainloop()
