import random
import tkinter


def generuj_data(pocet0):
    ''' Vráti zoznam zadanej dĺžky s náhodne vygenerovanými súčtami hodov 2 kockami

    :param pocet0: počet hodov
    :type pocet0: int
    :return: zoznam súčtov
    :rtype: list of int
    '''
    zoznam0 = [random.randint(1, 6) + random.randint(1, 6) for i in range(pocet0)]
    return zoznam0


def pocetnosti_data(zoznam0):
    ''' Vráti zoznam početnosti súčtov zo zadaného zoznamu súčtov hodov 2 kociek

    :param zoznam0: zoznam hodov
    :type zoznam0: list of int
    :return: zoznam početnosti súčtov
    :rtype: list of int
    '''
    pocetnosti0 = [zoznam0.count(i) for i in range(2, 13)]
    return pocetnosti0


def vykresli_data(zoznam):
    ''' Vykreslí vodorovný stĺpcový diagram s početnosťami súčtov hodov
    spolu so zvýraznením najpočetnejšieho súčtu

    :param zoznam: zoznam početností súčtov
    :type zoznam: list of int
    '''
    platno.delete('all')
    dx, dy, k = 10, 10, 20
    max1 = max(zoznam)
    max1_index = zoznam.index(max1)
    for sucet in range(len(zoznam)):
        if sucet == max1_index:
            f = 'red'
        else:
            f = 'yellow'
        platno.create_rectangle(dx, dy + k * sucet, dx + zoznam[sucet] * 450 / max1, dy + k * sucet + dy, fill=f)
        platno.create_text(2 * dx + zoznam[sucet] * 450 / max1, 1.5 * dy + k * sucet, text=sucet + 2)


def vypocet():
    ''' Vygeneruje zadaný počet náhodných hodov 2 kockami a zobrazí ich početnosti

    '''
    data = generuj_data(int(pocet.get()))
    zoznam = pocetnosti_data(data)
    vykresli_data(zoznam)


okno = tkinter.Tk()
okno.title('Experiment s hádzaním dvoch kociek')
platno = tkinter.Canvas(okno, width=600, height=300, background="lightgreen")

# riadok 0: Label, Entry, Button
tkinter.Label(okno, text='Počet hodov:').grid(row=0, column=0)
pocet = tkinter.StringVar()
pocet.set('100')
tkinter.Entry(okno, textvariable=pocet).grid(row=0, column=1)
tkinter.Button(okno, text='Generuj a zobraz data', command=vypocet).grid(row=0, column=2)

# riadok 1: Canvas
platno.grid(row=1, column=0, columnspan=3)

okno.mainloop()
