import tkinter


def nacitaj_data(meno_suboru):
    ''' Načítanie dát zo súboru so zadaným menom do zoznamu

    :param meno_suboru: zadané meno súboru s dátami
    :type meno_suboru: str
    :return: zoznam riadkov s dátami
    :rtype: list of str
    '''
    with open(meno_suboru, 'r', encoding='utf-8') as f:
        data = f.readlines()
    data = [polozka.strip() for polozka in data]
    return data


def vyhodnot():
    ''' Vypočítanie početností volieb z hodnôt zo súboru a ich vykreslenie na plátne

    '''
    zoznam = nacitaj_data('hlasovanie.txt')
    volby = ['A', 'B', 'C']
    pocetnosti = [zoznam.count(i) for i in volby]
    platno.delete('all')
    for i in range(len(pocetnosti)):
        percento = 100 * pocetnosti[i] / sum(pocetnosti)
        percento = round(percento, 2)
        platno.create_rectangle(10, 10 + 50 * i, 10 + 2 * percento, 50 + 50 * i, fill='yellow')
        platno.create_text(25 + 2 * percento, 25 + 50 * i, text=percento)


okno = tkinter.Tk()
okno.title('Hlasovanie - učiteľ')
platno = tkinter.Canvas(okno, width=300, height=200, background='white')
platno.grid(row=1, column=0)

tkinter.Button(okno, text='Vyhodnoť a vykresli', command=vyhodnot).grid(row=0, column=0)

okno.mainloop()
