import math
import tkinter
from tkinter import messagebox


def kresli_hviezdu(n, k):
    ''' Vykreslí n-cípu hviezdu vykresliteľnú jedným ťahom so zadaným krokom výberu vrcholov

    :param n: počet vrcholov
    :type n: str
    :param k: krok výberu vrcholov
    :type k: str
    '''
    if not n.isdigit() or not k.isdigit():
        raise ValueError('Na vstupe neboli zadané prirodzené')
    n = int(n)
    k = int(k)
    if n < 3:
        raise ValueError('Na vstupe nebol zadaný počet vrcholov väčší ako 2')
    if not (1 < k < n):
        raise ValueError('Na vstupe nebol zadaný krok väčší ako 1 a menší ako počet vrcholov')
    if math.gcd(k, n) != 1:
        raise ValueError('Na vstupe boli zadané počet vrcholov a krok ako súdeliteľné čísla.')
    for i in range(n):
        x1 = 150 + 100 * math.cos(math.radians(i * 360 / n))
        y1 = 150 + 100 * math.sin(math.radians(i * 360 / n))
        x2 = 150 + 100 * math.cos(math.radians(((i + k) % n) * 360 / n))
        y2 = 150 + 100 * math.sin(math.radians(((i + k) % n) * 360 / n))
        platno.create_line(x1, y1, x2, y2)


def kresli():
    n = pocet.get()
    k = krok.get()
    try:
        kresli_hviezdu(n, k)
    except ValueError as chyba:
        zobraz_chybu(chyba)


def zobraz_chybu(chyba):
    messagebox.showerror('Chyba', chyba)


def zmaz():
    platno.delete('all')


okno = tkinter.Tk()
okno.title('Kreslenie hviezdy')
platno = tkinter.Canvas(okno, width=300, height=300, background="lightblue")

# riadok 0: Label, Entry
tkinter.Label(okno, text='Počet vrcholov hviezdy:').grid(row=0, column=0)
pocet = tkinter.StringVar()
pocet.set('7')
tkinter.Entry(okno, textvariable=pocet).grid(row=0, column=1)

# riadok 1: Label, Entry
tkinter.Label(okno, text='Krok pri vykresľovaní:').grid(row=1, column=0)
krok = tkinter.StringVar()
krok.set('3')
tkinter.Entry(okno, textvariable=krok).grid(row=1, column=1)

# riadok 2: Button, Button
tkinter.Button(okno, text='Kresli', command=kresli).grid(row=2, column=0)
tkinter.Button(okno, text='Zmaž', command=zmaz).grid(row=2, column=1)

# riadok 3: Canvas
platno.grid(row=3, column=0, columnspan=2)

okno.mainloop()
